using Darkmatter.Core.Contracts.Features.Progression;
using Darkmatter.Features.Progression.Systems;
using Darkmatter.Libs.Installers;
using UnityEngine;
using VContainer;

namespace Darkmatter.Features.Progression.Installers
{
    public class ProgressionFeatureModule : MonoBehaviour, IModule
    {
        public void Register(IContainerBuilder builder)
        {
            builder.Register<ProgressionRepository>(Lifetime.Singleton);
            builder.Register<IProgressionSystem, ProgressionSystem>(Lifetime.Singleton);
        }
    }
}